Bug 11365 - CTDB should ignore trailing spaces in nodes file
CTDB should ignore trailing spaces in nodes file
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-26 22:49 UTC by Michael Adam
Modified: 2015-11-03 11:29 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-2-test backported from master (2.12 KB, patch)
2015-10-28 19:09 UTC, Michael Adam
obnox: review+
jarrpa: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2015-06-26 22:49:39 UTC
CTDB ignores leading spaces in the nodes file, but not trailing spaces.
This should be aligned.
Comment 1 Michael Adam 2015-06-26 23:22:30 UTC
I have submitted a patch for review for master.
Will backport once it is upstream.
Comment 2 Michael Adam 2015-10-28 19:07:17 UTC
The fix has been brought to master as commit 15ac12af9c00adb05dcdfcb637777b503b87994b.

It has also gone into 4.3.0.
Comment 3 Michael Adam 2015-10-28 19:09:16 UTC
Created attachment 11550 [details]
Patch for v4-2-test backported from master

This is the patch backported to v4-2-test from master.
(Cherry-picking directly is not possible due to some refactorings that have happened after 4.2).

Do we want to get this small convenience patch into 4.2?
If so, this is the patch...
Comment 4 José A. Rivera 2015-10-29 14:21:03 UTC
Comment on attachment 11550 [details]
Patch for v4-2-test backported from master

LGTM as a precautionary enhancement. It's not an easy problem to debug (though simple to solve).
Comment 5 Karolin Seeger 2015-11-02 10:33:10 UTC
Pushed to autobuild-v4-2-test.
Comment 6 Karolin Seeger 2015-11-03 11:29:45 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-2-test.
Closing out bug report.

Thanks!